Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Failed upgrade to new version  (Read 3970 times)

0 Members and 1 Guest are viewing this topic.

Gary B

  • Coppermine novice
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 38
    • Hagerty High School
Failed upgrade to new version
« on: December 23, 2005, 05:10:02 am »

I host www.themeparks.com on lunarpages...and tried to use Fantastico to upgrade to the newest version...it failed and I was left with a broken photo album...I then uploaded my back up files (yes I actually had made a backup before I tried the upgrade) and it partially works...I am getting the following error messages...and don't know what to do to fix it.

Warning: Cannot modify header information - headers already sent by (output started at /home/parkho2/public_html/library/index.php:751) in /home/parkho2/public_html/library/themes/classic/theme.php on line 810

Warning: Cannot modify header information - headers already sent by (output started at /home/parkho2/public_html/library/index.php:751) in /home/parkho2/public_html/library/themes/classic/theme.php on line 811

Warning: Cannot modify header information - headers already sent by (output started at /home/parkho2/public_html/library/index.php:751) in /home/parkho2/public_html/library/include/functions.inc.php on line 51

I tried deleting the themes folder and the include folder and reuploading all those files from my back up but that did not solve the problem.

Any help would be appreciated...again it is

www.themeparks.com/library/

Thank you
Logged

Gary B

  • Coppermine novice
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 38
    • Hagerty High School
Re: Failed upgrade to new version
« Reply #1 on: December 23, 2005, 05:17:26 am »

Ok...in future searching..I found the answer at: http://forum.coppermine-gallery.net/index.php?topic=24788.msg113968#msg113968

Can someone tell me what happened to cause this problem...the fix mentioned in the message above appears to have fixed the problem but I wonder why?

Thanks again! This is a great place!
I still need to try to upgrade but now I am spooked!

Gary
Logged

Nibbler

  • Guest
Re: Failed upgrade to new version
« Reply #2 on: December 23, 2005, 05:21:20 am »

That error was a result of using a v1.3 index.php with a v1.4 database.
Logged

Gary B

  • Coppermine novice
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 38
    • Hagerty High School
Re: Failed upgrade to new version
« Reply #3 on: December 23, 2005, 05:59:15 am »

OK so my database actually got updated but my php code did not...So now I just need to upload the new php files to be up-to-date?

Logged

Tranz

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: 00
  • Offline Offline
  • Gender: Female
  • Posts: 6149
Re: Failed upgrade to new version
« Reply #4 on: December 23, 2005, 06:18:19 am »

Since you used Fantastico, we don't know what they did to the code. We would recommend you download the files from our site and follow the upgrade instructions.
Logged

Gary B

  • Coppermine novice
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 38
    • Hagerty High School
Re: Failed upgrade to new version
« Reply #5 on: December 23, 2005, 06:22:55 am »

That is exactly what I am going to try tomorrow. Thanks again.
Logged
Pages: [1]   Go Up
 

Page created in 0.02 seconds with 21 queries.